<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageSearcher StructType
 * @subpackage Structs
 */
class PackageSearcher extends AbstractStructBase
{
    /**
     * The PackageSearcherRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageSearcherRQ
     */
    public $PackageSearcherRQ;
    /**
     * Constructor method for PackageSearcher
     * @uses PackageSearcher::setPackageSearcherRQ()
     * @param \StructType\JP_PackageSearcherRQ $packageSearcherRQ
     */
    public function __construct(\StructType\JP_PackageSearcherRQ $packageSearcherRQ = null)
    {
        $this
            ->setPackageSearcherRQ($packageSearcherRQ);
    }
    /**
     * Get PackageSearcherRQ value
     * @return \StructType\JP_PackageSearcherRQ|null
     */
    public function getPackageSearcherRQ()
    {
        return $this->PackageSearcherRQ;
    }
    /**
     * Set PackageSearcherRQ value
     * @param \StructType\JP_PackageSearcherRQ $packageSearcherRQ
     * @return \StructType\PackageSearcher
     */
    public function setPackageSearcherRQ(\StructType\JP_PackageSearcherRQ $packageSearcherRQ = null)
    {
        $this->PackageSearcherRQ = $packageSearcherRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageSearcher
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
